/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2009 OW2, http://www.ow2.org/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: $
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.transport.platform.nio.server;

/**
 * Interface of the Fractal component to which the NIO server transmits received
 * deserialized message exchanges.
 * 
 * @author Christophe DENEUX (Capgemini Sud)
 * 
 */
public interface NioReceiver {
	
	/**
	 * Name of the port 
	 */
	public static final String NIO_MSG_RECEIVER_ITF = "receiver";
	
	
	public void onMessage(final Object obj);

}
